#ifndef __F_ATHEOS_BOOTMODULE__
#define __F_ATHEOS_BOOTMODULE__

#include <atheos/types.h>

typedef struct
{
    void*	bm_pAddress;
    uint32	bm_nSize;
    const char*	bm_pzModuleArgs;
    area_id	bm_hAreaID;
} BootModule_s;

int	      get_boot_module_count( void );
BootModule_s* get_boot_module( int nIndex );
void	      put_boot_module( BootModule_s* psModule );

int get_kernel_arguments( int* argc, const char* const** argv );



#endif /* __F_ATHEOS_BOOTMODULE__ */
