#ifndef __F_ATHEOS_POSIX_UIO_H__
#define __F_ATHEOS_POSIX_UIO_H__

#ifdef __KERNEL__
#include <atheos/types.h>
#include <posix/types.h>
#else
#include <sys/types.h>
#endif

struct iovec
{
  void*	 iov_base;
  size_t iov_len;
};

#define UIO_FASTIOV	8
#define UIO_MAXIOV	1024


ssize_t	readv( int nFile, const struct iovec* psVector, int nCount );
ssize_t	writev( int nFile, const struct iovec* psVector, int nCount );


#endif /* __F_ATHEOS_POSIX_UIO_H__ */
