#ifndef _ATHEOS_DIRENT_H_
#define _ATHEOS_DIRENT_H_

#ifdef __cplusplus
extern "C" {
#endif

#ifdef	NAME_MAX
#define	MAXNAMLEN	NAME_MAX
#else
#define	MAXNAMLEN	255
#endif

struct kernel_dirent {
  unsigned char d_namlen;
  char d_name[MAXNAMLEN+1];
  long long d_ino;
};

#ifdef __KERNEL__

int getdents( int nFile, struct kernel_dirent *psDirEnt, int nCount );

#endif /* __KERNEL__ */

#ifdef __cplusplus
}
#endif


#endif /*  _ATHEOS_DIRENT_H_ */
